/*  $Id$
 *
 * Tabs = 4 chars
 * copyright (C) 2008 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.heml;

import java.io.FileInputStream;
import java.io.InputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Properties;
import java.util.Stack;
import org.xml.sax.SAXException;

import net.eduvax.xml.SaxWriter;

/**
 * xtxt file parser.
 * convert ascii file with simplified markup to xml.
 */ 
public class HEML {
	/**
	 * Reads xdoc from stdin and send xml to stdout.
	 */
	static public void main(String[] args) {
        int rc=0;
        try {
            XmlWriter writer=new XmlWriter(System.out);
            Parser parser=new Parser(System.in,writer);
            parser.run();
            for (Exception ex : writer.getErrors()) {
                System.err.println("Err: "+ex);
                rc=2;
            }
        }
        catch (Exception ex) {
			rc=1;
		}
        System.exit(rc);
	}
}
